%define version 2.24.0
%define release %mkrel 1

%define major 	2
%define api_version 2.6
%define libname %mklibname xml++ %{api_version} %major
%define libnamedev %mklibname -d xml++ %{api_version}

Name: 		libxml++
Summary: 	C++ interface for working with XML files
Version: 	%{version}
Release: 	%{release}
Source:		http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
URL:		http://libxmlplusplus.sf.net/
License:	LGPLv2+
Group:		System/Libraries
BuildRoot:	%{_tmppath}/libxmlpp-%{version}-buildroot
BuildRequires:	libxml2-devel >= 2.6.1 glibmm2.4-devel >= 2.4.0
BuildRequires:	doxygen

%description
libxml++ is a C++ interface for working with XML files, using libxml
(gnome-xml) to parse and write the actual XML files. It has a simple
but complete API.

%package	-n %{libname}
Summary: 	C++ interface for working with XML files
Group:		System/Libraries

%description	-n %{libname}
libxml++ is a C++ interface for working with XML files, using libxml
(gnome-xml) to parse and write the actual XML files. It has a simple
but complete API.

%package	-n %{libnamedev}
Summary:	Headers for developing programs that will use %name
Group:		Development/C++
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}%{api_version}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes: %mklibname -d xml++ 2.6 2

%description	-n %{libnamedev}
This package contains the headers that programmers will need to develop
applications which will use libraries from %name.

%prep
%setup -q

%build
%configure2_5x
%make

### Build doc
pushd docs/reference
  perl -pi -e 's/^(HAVE_DOT.*=) YES/$1 NO/' Doxyfile
  make all
popd

%install
rm -rf $RPM_BUILD_ROOT installed-docs
%makeinstall_std
mv %buildroot%_datadir/doc/libxml++-2.6/docs installed-docs

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libxml++-%{api_version}.so.%{major}*

%files -n %{libnamedev}
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README installed-docs/*
%{_includedir}/*
%dir %_libdir/libxml++-%{api_version}
%_libdir/libxml++-%{api_version}/include/libxml++config.h
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_libdir}/*.a
%attr(644,root,root) %{_libdir}/*.la




%changelog
* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286530
- new version

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 2.23.3-1mdv2009.0
+ Revision: 273547
- new version
- update license

* Fri Jul 04 2008 Götz Waschk <waschk@mandriva.org> 2.23.2-1mdv2009.0
+ Revision: 231633
- new version

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.23.1-1mdv2009.0
+ Revision: 192433
- new version

* Sun Mar 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183018
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 18 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89508
- new version

* Wed Aug 29 2007 Götz Waschk <waschk@mandriva.org> 2.19.2-1mdv2008.0
+ Revision: 73851
- new version
- new devel name

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 2.19.1-1mdv2008.0
+ Revision: 56556
- new version

* Sun Jun 10 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2008.0
+ Revision: 37916
- new version


* Mon Mar 05 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.0
+ Revision: 133371
- new version

* Sat Dec 23 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2007.1
+ Revision: 101929
- new version

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 2.17.1-1mdv2007.1
+ Revision: 87596
- new version

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 2.14.0-2mdv2007.1
+ Revision: 87541
- Import libxml++

* Fri Jul 21 2006 Götz Waschk <waschk@mandriva.org> 2.14.0-1mdv2007.0
- Rebuild

* Mon Mar 13 2006 Götz Waschk <waschk@mandriva.org> 2.14.0-1mdk
- New release 2.14.0

* Mon Jan 09 2006 Gtz Waschk <waschk@mandriva.org> 2.12.0-3mdk
- fix build

* Thu Jan 05 2006 Gtz Waschk <waschk@mandriva.org> 2.12.0-2mdk
- fix build
- Rebuild
- use mkrel

* Thu Oct 06 2005 Gtz Waschk <waschk@mandriva.org> 2.12.0-1mdk
- New release 2.12.0

* Tue May 10 2005 Gtz Waschk <waschk@mandriva.org> 2.10.0-2mdk
- fix deps for x86_64

* Tue Apr 19 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.10.0-1mdk
- New release 2.10.0

* Mon Feb 14 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.9.2-0.1gpw
- add the docs
- add missing source file

* Mon Feb 14 2005 Götz Waschk <waschk@linux-mandrake.com> 2.9.2-1gpw
- New release 2.9.2

* Mon Dec 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.9.1-0.1gpw
- New release 2.9.1

* Tue Dec 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.1-1mdk
- new major
- New release 2.8.1

* Thu Nov 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.0-1mdk
- fix source URL
- update deps
- New release 2.8.0

* Tue Aug 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-2mdk
- fix buildrequires

* Fri Jul 16 2004 Austin Acton <austin@mandrake.org> 2.6.1-1mdk
- 2.6.1

* Sun Jun 06 2004 Abel Cheung <deaddog@deaddog.org> 1.0.4-2mdk
- Rebuild with new gcc

* Fri May 28 2004 Abel Cheung <deaddog@deaddog.org> 1.0.4-1mdk
- New version
- Drop source1 (inside tarball now)

* Mon May 17 2004 Abel Cheung <deaddog@deaddog.org> 1.0.3-2mdk
- And install missing header too

* Sat May 15 2004 Abel Cheung <deaddog@deaddog.org> 1.0.3-1mdk
- New version
- Source1: bundle missing file

